<?php
/**
* @title		feature product shop
* @website		http://www.joomhome.com
* @copyright	Copyright (C) 2015 joomhome.com. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/
// no direct access
defined('_JEXEC') or die('Restricted access');

$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = JURI :: base();
if(substr($mosConfig_live_site, -1)=="/") { $mosConfig_live_site = substr($mosConfig_live_site, 0, -1); }

$module_name             = basename(dirname(__FILE__));
$module_dir              = dirname(__FILE__);
$module_id               = $module->id;
$document                = JFactory::getDocument();
$css_path                = JPATH_THEMES. '/'.$document->template.'/css/'.$module_name;
$style                   = $params->get('jhm_style');

if( empty($style) )
{
    JFactory::getApplication()->enqueueMessage( 'Slider style no declared. Check feature product shop configuration and save again from admin panel' , 'error');
    return;
}

$layoutoverwritepath     = JURI::base(true) . '/templates/'.$document->template.'/html/'. $module_name. '/tmpl/'.$style;
$document                = JFactory::getDocument();
$mod_style		 		= $params->get('mod_style', 1);
if($mod_style != 1){
	error_reporting(error_reporting() & ~E_NOTICE);
	if (!file_exists(JPATH_SITE.'/components/com_jshopping/jshopping.php')){
		JError::raiseError(500,"Please install component \"joomshopping\"");
	}

	require_once(JPATH_SITE.'/components/com_jshopping/lib/factory.php');
	require_once(JPATH_SITE.'/components/com_jshopping/lib/functions.php');
}

require_once $module_dir.'/helper.php';
$helper = new mod_Featureproductshopjhm($params, $module_id);
$data = (array) $helper->display();
//$option = (array) $params->get('animation')->$style;

$enable_jQuery			= $params->get('enable_jQuery', 1);
$width_module			= $params->get('width_module', "100%");
$height_module			= $params->get('height_module', "400");

$autoslide			= $params->get('autoslide', 1);

if($mod_style == 1){
    $helper = new mod_Featureproductshopjhm($params, $module_id);
    $data = (array) $helper->display();
	
    //$option = (array) $params->get('animation')->$style;
    if(  is_array( $helper->error() )  )
    {
        JFactory::getApplication()->enqueueMessage( implode('<br /><br />', $helper->error()) , 'error');
    } else {
        if( file_exists($layoutoverwritepath.'/view.php') )
        {
            require(JModuleHelper::getLayoutPath($module_name, $layoutoverwritepath.'/view.php') );   
        } else {
            require(JModuleHelper::getLayoutPath($module_name, $style.'/view') );   
        }

        $helper->setAssets($document, $style);
}

} else {
JSFactory::loadCssFiles();
JSFactory::loadLanguageFile();
$jshopConfig = JSFactory::getConfig();

	$items = mod_Featureproductshopjhm::getItems($params);
	
	if( file_exists($layoutoverwritepath.'/view.php') )
	{
		require(JModuleHelper::getLayoutPath($module_name, $layoutoverwritepath.'/view.php') );   
	} else {
		require(JModuleHelper::getLayoutPath($module_name, $style.'/view') );   
	}
}